// Cores JS visibility classes (https://www.drupal.org/project/views/issues/2864124)
html.js input.js-hide {
  display: none !important;
}

// Place any Drupal-related quirks here.
.field{
  &--label-inline{
    display:flex;
    .field__label{
      margin-right:.25em;
      display:inline-flex;
      &::after{
        content:":";
      }
    }
    span.field__label,
    div.field__label{
      font-weight:$label-font-weight;
    }
  }
}

// ============================================================================
// Entity Fixes
// ============================================================================

// Hide duplicate "unpublished" messages on view mode 'full'
.entity--unpublished.entity--view-mode-full{
  > .entity-layout{
    > .entity-layout__header{
      .entity-publication-state{
        display:none;
      }
    }
  }
}


// ============================================================================
// Input Groups
// ============================================================================
.input-group {
  >.form-item {
    margin-bottom: 0;
    flex-grow:1;
  }
}

// ============================================================================
// Admin fixes
// ============================================================================

// Fix admin toolbar + top-bar bug (admin toolbar overlayed the docked menu bar)
.adminimal-admin-toolbar{
  padding-top:0 !important;
  margin-top:39px !important;
  // Re-position ZF topbar also
  .top-bar-outer.is-stuck{
    top:39px !important;
  }
  &.tray-open,
  &.toolbar-tray-open{
    padding-top:0 !important;
    margin-top:78px !important;
    // Re-position ZF topbar also
    .top-bar-outer.is-stuck{
      top:40px + 35px !important;
    }
  }
}

// -- Fix contextual links collision
.block-webksdct-main-menu{
  &.contextual-region{
    position:static !important;
  }
  > .contextual{
    display:none !important;
  }
}

// ============================================================================
// jQuery UI dialog styling (used by drupal core)
// ============================================================================

// We dont want to add jquery.ui as dependency anymore but we currently need to use the drupal core dialog function which depends on jquery.ui modal.
.ui-widget-overlay {
  @include reveal-overlay;

  display: block;
}

.ui-dialog {
  @include reveal-modal-base;

  // Override jquery inline styles
  width: 600px !important;
  max-width: 95vw !important;
}

.ui-icon-closethick {
  @include ico-replacement($ico-remove);
}

// ============================================================================
// Ajax throbber / spinner as fullpage overlay
// ============================================================================

// TODO: This is deprecated? See webksdct>objects>misc
.ajax-progress-throbber {
  @extend .ui-widget-overlay;
  display: flex;
  justify-content: center;
  align-items: center;

  >* {
    // Remove the ugly default spinner and add an icon with css rotate animation
    background: none !important;
    animation: round 1s infinite;
    margin: 0 !important;
    padding: 0 !important;
    width: $icon-size-xl;
    height: $icon-size-xl;

    &::before {
      @include get-ico-only($ico-spinner);
      font-size: $icon-size-xl;
      font-family: $iconfont-family;
      line-height: $icon-size-xl;
    }
  }
}
